import { api } from '@/services/api';
import { request } from '@umijs/max';
/**标签列表 */
export async function queryLabelList(params: { workDirection: number | string }) {
  return request(api + '/admin/query/labelList', {
    method: 'GET',
    params
  });
}
/**分类列表 */
export async function queryCategoryList(params: { workDirection: number | string }) {
  return request(api + '/admin/query/categoryList', {
    method: 'GET',
    params
  });
}
/**作者列表 */
export async function queryAuthList() {
  return request(api + '/admin/query/authList', {
    method: 'GET',
  });
}
/**枚举列表 */
export async function enumDictList() {
  return request(api + '/admin/enumDict/list', {
    method: 'GET',
  });
}